List Application Tiers

List Application Tiers
List tiers of an application

List tiers of an application

Request
URI
GET
https://{api_host}/api/ni/groups/applications/{id}/tiers
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns TierListResponse of type(s) application/json
{
    "results": [
        {
            "entity_id": "18230:562:1266458745",
            "name": "tier-1",
            "entity_type": "Tier",
            "group_membership_criteria": [
                {
                    "membership_type": "SearchMembershipCriteria",
                    "search_membership_criteria": {
                        "entity_type": "VirtualMachine",
                        "filter": "security_groups.entity_id = '18230:82:604573173'"
                    }
                },
                {
                    "membership_type": "IPAddressMembershipCriteria",
                    "ip_address_membership_criteria": {
                        "ip_addresses": [
                            "10.0.0.1",
                            "10.0.0.1/24",
                            "10.0.0.1-10.0.0.200"
                        ]
                    }
                }
            ],
            "member_list": {
                "vms": [
                    {
                        "key": {
                            "entity_id": "18230:1:1158969162",
                            "entity_type": "VIRTUALMACHINE"
                        },
                        "name": "VM1"
                    },
                    {
                        "key": {
                            "entity_id": "18230:601:863301375",
                            "entity_type": "EC2INSTANCE"
                        },
                        "name": "EC2-VM1"
                    },
                    {
                        "key": {
                            "entity_id": "18230:1702:264351372",
                            "entity_type": "AZUREVM"
                        },
                        "name": "Azure-VM1"
                    }
                ],
                "physical_ips": [
                    {
                        "key": {
                            "entity_id": "18230:541:365252372",
                            "entity_type": "IPENDPOINT"
                        },
                        "name": "52.35.41.245"
                    }
                ],
                "kubernetes_services": [
                    {
                        "key": {
                            "entity_id": "18230:1504:263252172",
                            "entity_type": "KUBERNETESSERVICE"
                        },
                        "name": "KS"
                    }
                ]
            },
            "application": {
                "entity_id": "18230:561:271275765",
                "entity_type": "Application"
            }
        }
    ]
}
array of results
results
Optional

results


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/{id}/tiers